1. Time off
Calven
  • Overview
  • Key Access Levels
  • Basic Authentication Overview
  • HMAC Authentication Overview
  • SDKs
  • Calven Data Models
  • Changelog
  • HMAC Authentication
    • Generate a token with an API key and HMAC
      POST
    • Generate a token with an API key and client secret
      POST
  • Presence
    • Presence Overview
    • Submit presence events with BASIC auth
      POST
    • Submit presence events
      POST
  • Occupancy
    • Occupancy Overview
    • Submit occupancy events
      POST
  • Time off
    • Submit time off updates
      POST
  • Access Credentials
    • Submit access credentials
      POST
  • Warehouse - Basic Auth
    • Warehouse Overview
    • Users
      GET
    • Groups
      GET
    • Locations
      GET
    • Desks
      GET
    • Bookings & Attendance
      GET
    • Presence Details
      GET
    • User Actions Log
      GET
  • Warehouse - HMAC Auth
    • Warehouse Overview
    • Users
    • Groups
    • Locations
    • Desks
    • Bookings & Attendance
    • Presence
    • User Actions Log
  • Hierarchy Information
    • Org Hierarchy Information Overview
    • Submit group hierarchy relationships
    • Submit group hierarchy relationships with Basic Auth
  • DirectoryManagement
    • User Attributes Overview
    • Write directory user attributes
    • Write directory user attributes with Basic Auth
  • Schemas
    • Schemas
      • DWDesksResponseDto
      • DMGroupRelationshipDto
      • PresenceEventDto
      • DWGroupsResponseDto
      • LeaveRequestBody
      • CreatePresenceEventDto
      • TimeoffRequestBody
      • TimeOffEvent
      • EventResultDto
      • TimeoffResponse
      • ResultCodes
      • TimeoffEventResponse
      • CreatePresenceEventResponseDto
      • OccupancyEventDto
      • CreateOccupancyEventDto
      • CreateOccupancyEventResponseDto
      • AuthRequestDto
      • AuthResponseDto
      • OAuthRequestDto
      • OAuthResponseDto
      • AccessCredentialUpdateResultCodes
      • AccessCredentialUpdateResult
      • AccessCredentialUpdateResponse
      • AccessCredential
      • AccessCredentialUpdate
      • AccessCredentialUpdateRequest
      • DWChangeLogUserResponseDto
      • DWUserBookingAttendanceResponseDto
      • DWPresenceResponseDto
      • DWUsersResponseDto
      • DWLocationsResponseDto
    • DMPostUserAttributesRecordDto
    • DMPostUserAttributesBodyDto
    • DMPostUserAttributesRecordResponseDto
    • DMPostUserAttributesResponseDto
  1. Time off

Submit time off updates

POST
/v1/timeoff
Submit time off updates to Calven.

Request

Body Params application/json

Example
{
    "timeOffEvents": [
        {
            "eventId": "C5C69845-DD77-487E-9C6A-708581B361E9",
            "email": "bob@domain.com",
            "eventType": "scheduled",
            "startDate": "2024-12-30",
            "endDate": "2025-01-02",
            "timeOffType": "leave"
        },
        {
            "eventId": "C5C69845-DD77-487E-9C6A-708581B361E9",
            "email": "mary@domain.com",
            "eventType": "cancelled",
            "startDate": "2024-11-30",
            "endDate": "2025-11-30"
        }
    ]
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.calven.com/v1/timeoff' \
--header 'Content-Type: application/json' \
--data-raw '{
    "timeOffEvents": [
        {
            "eventId": "C5C69845-DD77-487E-9C6A-708581B361E9",
            "email": "bob@domain.com",
            "eventType": "scheduled",
            "startDate": "2024-12-30",
            "endDate": "2025-01-02",
            "timeOffType": "leave"
        },
        {
            "eventId": "C5C69845-DD77-487E-9C6A-708581B361E9",
            "email": "mary@domain.com",
            "eventType": "cancelled",
            "startDate": "2024-11-30",
            "endDate": "2025-11-30"
        }
    ]
}'

Responses

🟢200Success
application/json
Bodyapplication/json

Example
{
    "timestamp": "string",
    "results": [
        {
            "eventId": "C5C69845-DD77-487E-9C6A-708581B361E9",
            "resultCode": 0,
            "message": "string"
        }
    ]
}
🟢201Success
🟠401Payload when auth header is missing or invalid
🟠403403
Modified at 2025-04-03 13:54:20
Previous
Submit occupancy events
Next
Submit access credentials
Built with